Subject: [TR] TR3 upper Ball Joint

From: <[email-masked]>
Date: Fri, 27 Apr 2012 18:27:32 -0500

I see there is quite a difference in the ball joint price between TRF and
Moss, is there is quality difference?  Or, is there another supplier that
has a superior ball joint unit for my car.  This is one place I don't mind
spending a couple of extra bucks for top quality.
 
Thanks,
Bill

Bill Beecher
'58 TR3A TS30766L "Tarbaby"
www.triumphowners.com/1566
"Hello, my name is Bill and I own an old British car.  Now...What are the
next 11 steps?"

** [email-masked] **

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/archive
Forums: http://www.team.net/forums
Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]